Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSComplexTypeDefinition

All Superinterfaces:
  XSObject, XSTypeDefinition

All Known Implementing Classes:
  XSComplexTypeDecl

Deprecated. The interface may be updated or replaced.

public interface XSComplexTypeDefinition
extends XSTypeDefinition

This interface represents the Complex Type Definition schema component.

Field Summary
`static short` | `CONTENTTYPE_ELEMENT` Deprecated. Represents an element-only content type.
`static short` | `CONTENTTYPE_EMPTY` Deprecated. Represents an empty content type.
`static short` | `CONTENTTYPE_MIXED` Deprecated. Represents a mixed content type.
`static short` | `CONTENTTYPE_SIMPLE` Deprecated. Represents a simple content type.

Fields inherited from interface org.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`boolean` | `getAbstract()` Deprecated. [abstract]: a boolean.
`XSObjectList` | `getAnnotations()` Deprecated. A set of [annotations].
`XSObjectList` | `getAttributeUses()` Deprecated. A set of attribute uses.
`XSWildcard` | `getAttributeWildcard()` Deprecated. Optional.An attribute wildcard.
`short` | `getContentType()` Deprecated. [content type]: one of empty (`CONTENTTYPE_EMPTY`), a simple type definition (`CONTENTTYPE_SIMPLE`), mixed ( `CONTENTTYPE_EMPTY`), or element-only ( `CONTENTTYPE_EMPTY`).
`short` | `getDerivationMethod()` Deprecated. [derivation method]: either `DERIVATION_EXTENSION`, `DERIVATION_RESTRICTION`, or `DERIVATION_NONE` (see `XSConstants`).
`XSParticle` | `getParticle()` Deprecated. A particle for mixed or element-only content model, otherwise `null`
`short` | `getProhibitedSubstitutions()` Deprecated. [prohibited substitutions]: A subset of {extension, restriction} or `DERIVATION_NONE` represented as a bit flag (see `XSConstants`).
`XSSimpleTypeDefinition` | `getSimpleType()` Deprecated. A simple type definition corresponding to simple content model, otherwise `null`
`boolean` | `isProhibitedSubstitution(short restriction)` Deprecated. [prohibited substitutions]: a subset of {extension, restriction}

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSTypeDefinition
`derivedFrom, derivedFromType, getAnonymous, getBaseType, getFinal, getTypeCategory, isFinal`

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### CONTENTTYPE_EMPTY

    public static final short CONTENTTYPE_EMPTY

  Deprecated.
  Represents an empty content type. A content type with the distinguished value empty validates elements with no character or element information item children.

### CONTENTTYPE_SIMPLE

    public static final short CONTENTTYPE_SIMPLE

  Deprecated.
  Represents a simple content type. A content type which is a simple validates elements with character-only children.

### CONTENTTYPE_ELEMENT

    public static final short CONTENTTYPE_ELEMENT

  Deprecated.
  Represents an element-only content type. An element-only content type validates elements with children that conform to the supplied content model.

### CONTENTTYPE_MIXED

    public static final short CONTENTTYPE_MIXED

  Deprecated.
  Represents a mixed content type.

Method Detail

### getDerivationMethod

    public short getDerivationMethod()

  Deprecated.
  [derivation method]: either `DERIVATION_EXTENSION`, `DERIVATION_RESTRICTION`, or `DERIVATION_NONE` (see `XSConstants`).

### getAbstract

    public boolean getAbstract()

  Deprecated.
  [abstract]: a boolean. Complex types for which `abstract` is true must not be used as the type definition for the validation of element information items.

### getAttributeUses

    public XSObjectList getAttributeUses()

  Deprecated.
  A set of attribute uses.

### getAttributeWildcard

    public XSWildcard getAttributeWildcard()

  Deprecated.
  Optional.An attribute wildcard.

### getContentType

    public short getContentType()

  Deprecated.
  [content type]: one of empty (`CONTENTTYPE_EMPTY`), a simple type definition (`CONTENTTYPE_SIMPLE`), mixed ( `CONTENTTYPE_EMPTY`), or element-only ( `CONTENTTYPE_EMPTY`).

### getSimpleType

    public XSSimpleTypeDefinition getSimpleType()

  Deprecated.
  A simple type definition corresponding to simple content model, otherwise `null`

### getParticle

    public XSParticle getParticle()

  Deprecated.
  A particle for mixed or element-only content model, otherwise `null`

### isProhibitedSubstitution

    public boolean isProhibitedSubstitution(short restriction)

  Deprecated.
  [prohibited substitutions]: a subset of {extension, restriction}
  Parameters:
    `restriction` - Extention or restriction constants (see `XSConstants`).
  Returns:
    True if restriction is a prohibited substitution, otherwise false.

### getProhibitedSubstitutions

    public short getProhibitedSubstitutions()

  Deprecated.
  [prohibited substitutions]: A subset of {extension, restriction} or `DERIVATION_NONE` represented as a bit flag (see `XSConstants`).

### getAnnotations

    public XSObjectList getAnnotations()

  Deprecated.
  A set of [annotations].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.